<template>
  <div class="category-card flex justify-center items-center cursor-pointer relative-position">
    <q-img class="full-width category-card__img" :src="getCategoryImage()" alt="" />
    <div class="absolute-center flex justify-center items-center category-card__blur">
      <span class="text-overline text-uppercase">
        {{ props.title }}
      </span>
    </div>
  </div>
</template>

<script setup>
const props = defineProps({
  title: { type: String, required: true },
  imgName: { type: String, required: true },
});
function getCategoryImage() {
  return `${require(`src/assets/img/${props.imgName}.png`)}`;
}
</script>

<style lang="scss" scoped>
.category-card {
  max-width: 100%;
  height: 80px;
  border-radius: 8px;
  overflow: hidden;
  &__img {
    width: 100%;
    height: 100%;
  }
  &__blur {
    width: 60%;
    height: 52%;
    background: rgba(196, 196, 196, 0.08);
    backdrop-filter: blur(2px);
    border-radius: 8px;
  }
}
</style>
